HomeFreeBSD

multimedia/ffmpeg2theora:

Description

multimedia/ffmpeg2theora:

  • Update to 0.30
  • Remove patch-ffmpeg2 (not needed now that 0.30 uses new FFmpeg API)
  • Tidy up remaining patches (pet portlint)

Changes this release:

https://git.xiph.org/?p=ffmpeg2theora.git;a=blob;f=ChangeLog;h=7b2c20e19e4ca6d042d8f2bb3d4491e513d422fa;hb=ff86d204adf335b6314ef568b08d4af8799f108d

This new version also allows ffmpeg2theora to build successfully once
multimedia/ffmpeg is updated to 3.0.x. Note that multimedia/ffmpeg is
currently still on the 2.8.x branch, however this update is backwards
compatible with ffmpeg 2.8.x.

PR: 209375
Approved by: wg (maintainer timeout), mat (mentor)
Differential Revision: https://reviews.freebsd.org/D6784

Details

Committed
woodsb02Jun 9 2016, 3:29 PM
Differential Revision
D6784: multimedia/ffmpeg2theora: Update to 0.30
Parents
rP416610: libraries are declared with LIB_DEPENDS, not RUN_DEPENDS.
Branches
Unknown
Tags
Unknown